Returns a paginated list of sessions for the caller’s tenant (derived from JWT). Supports optional status filter. Requires read scope.
POST
/
sessions
/
get
List sessions
curl --request POST \
--url https://api.svantic.com/sessions/get \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"page_size": 25,
"status": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, page_size: 25, status: 'string'})
};
fetch('https://api.svantic.com/sessions/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/sessions/get"
payload = {
"page": 1,
"page_size": 25,
"status": "string"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/sessions/get"
payload := strings.NewReader("{\n \"page\": 1,\n \"page_size\": 25,\n \"status\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"count": 0,
"page": 0,
"page_size": 0,
"total_pages": 0,
"sessions": [
{
"session_id": "string",
"tenant_id": "string",
"user_id": "string",
"status": "string",
"total_turns": 0,
"total_tokens": 0,
"created_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z"
}
]
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}Body
application/json
⌘I
List sessions
curl --request POST \
--url https://api.svantic.com/sessions/get \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"page_size": 25,
"status": "string"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, page_size: 25, status: 'string'})
};
fetch('https://api.svantic.com/sessions/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/sessions/get"
payload = {
"page": 1,
"page_size": 25,
"status": "string"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/sessions/get"
payload := strings.NewReader("{\n \"page\": 1,\n \"page_size\": 25,\n \"status\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"count": 0,
"page": 0,
"page_size": 0,
"total_pages": 0,
"sessions": [
{
"session_id": "string",
"tenant_id": "string",
"user_id": "string",
"status": "string",
"total_turns": 0,
"total_tokens": 0,
"created_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z"
}
]
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}